Page MenuHomePhabricator

Preload does not work correctly on mobile view
Closed, ResolvedPublic

Description

Text preloaded with &preload= when editing a page in desktop view is not preloaded when using the mobile view.
Other url query parameters as &preloadtitle= and &editintro= are also ignored.

Compare desktop and mobile views of the same edit page with preload message. The only difference is .m added to the url.

Using Extension:Inputbox does not help.

Event Timeline

Zebulon84 created this task.Feb 8 2016, 6:30 AM
Zebulon84 raised the priority of this task from to Needs Triage.
Zebulon84 updated the task description. (Show Details)
Zebulon84 added a project: Mobile.
Zebulon84 added a subscriber: Zebulon84.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 8 2016, 6:30 AM
Nnemo added a subscriber: Nnemo.
MC8 added a subscriber: MC8.Oct 18 2016, 3:51 PM

This apparently breaks quite a lot of workflows on English Wikinews.

Jdlrobson moved this task from Needs triage to Triaged on the Mobile board.
Deskana triaged this task as Low priority.Jul 25 2017, 7:15 PM
Deskana moved this task from To Triage to Freezer on the VisualEditor board.
Ijon added a subscriber: Ijon.Aug 8 2018, 7:38 AM

Hello. I request this be re-triaged. It's been 2.5 years. And it breaks more than Wikinews. For example, it makes it impossible for mobile users (remember some people *don't* have a non-mobile device) to request hardware in [[m:Hardware donation program]].

Ijon added a comment.Aug 8 2018, 7:39 AM

(Also, it's not just on the Visual Editor. It doesn't work with wikitext editing either, on mobile.)

Ijon added a comment.Mar 13 2019, 7:17 PM

Six months on, I again request that this be re-triaged. Perhaps some volunteer devs could be steered to consider fixing this?

Ijon awarded a token.Mar 13 2019, 7:18 PM
Ammarpad added a subscriber: Ammarpad.

This appears to have been fixed somewhen. Not sure if there's any other issue though.

AlexisJazz added a subscriber: AlexisJazz.EditedNov 30 2019, 6:39 PM

"WORKSFORME" (oh, wrong bug tracking system..)

Zebulon84 closed this task as Resolved.Dec 1 2019, 5:40 AM
Zebulon84 claimed this task.

Yes, now this works for me too. I close this task.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptDec 1 2019, 5:40 AM